Bug 586070 - SELinux is preventing /bin/bash "getattr" access on /var/lib/prelink/force.
SELinux is preventing /bin/bash "getattr" access on /var/lib/prelink/force.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:1d2506e1fdd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 14:26 EDT by Gene Snider
Modified: 2010-09-14 09:35 EDT (History)
27 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-10.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 19:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Snider 2010-04-26 14:26:37 EDT
Summary:

SELinux is preventing /bin/bash "getattr" access on /var/lib/prelink/force.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by prelink. It is not expected that this access
is required by prelink and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:prelink_cron_system_t:s0-s0:c0.c
                              1023
Target Context                unconfined_u:object_r:var_lib_t:s0
Target Objects                /var/lib/prelink/force [ file ]
Source                        prelink
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.1.2-4.fc13
Target RPM Packages           prelink-0.4.3-3.fc13
Policy RPM                    selinux-policy-3.7.19-2.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.2-60.fc13.x86_64 #1 SMP Wed
                              Apr 21 18:53:20 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Sun 25 Apr 2010 02:13:26 PM PDT
Last Seen                     Sun 25 Apr 2010 02:13:26 PM PDT
Local ID                      97f17b7d-4cac-4839-bdc5-73e0c1d6f7cf
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272230006.730:20128): avc:  denied  { getattr } for  pid=3157 comm="prelink" path="/var/lib/prelink/force" dev=dm-3 ino=134963 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1272230006.730:20128): arch=c000003e syscall=4 success=yes exit=0 a0=2063630 a1=7fffaff60540 a2=7fffaff60540 a3=8 items=0 ppid=2893 pid=3157 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=8 comm="prelink" exe="/bin/bash" subj=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,prelink,prelink_cron_system_t,var_lib_t,file,getattr
audit2allow suggests:

#============= prelink_cron_system_t ==============
allow prelink_cron_system_t var_lib_t:file getattr;
Comment 1 Daniel Walsh 2010-04-26 14:38:27 EDT
Fixed in selinux-policy-3.7.19-6.fc13.noarch
Comment 2 Gene Snider 2010-04-27 14:05:47 EDT
Thanks!

Gene
Comment 3 Fedora Update System 2010-04-30 16:07:45 EDT
selinux-policy-3.7.19-10.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-10.fc13
Comment 4 Fedora Update System 2010-04-30 19:50:17 EDT
selinux-policy-3.7.19-10.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-10.fc13
Comment 5 Fedora Update System 2010-05-04 19:55:25 EDT
selinux-policy-3.7.19-10.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 hypnose-kroete 2010-05-17 20:45:19 EDT
Still persists in selinux-policy(3.7.19-15), bash(4.1.2-4), prelink(0.4.3-3). This happens after keeping a login root shell open for a couple of  minutes (15-30min).

node=++.localdomain type=AVC msg=audit(1274088182.275:268): avc:  denied  { getattr } for  pid=6442 comm="prelink" path="/var/lib/prelink/force" dev=sda3 ino=792602 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file

node=++.localdomain type=SYSCALL msg=audit(1274088182.275:268): arch=c000003e syscall=4 success=no exit=-13 a0=23d6630 a1=7fff02e4c490 a2=7fff02e4c490 a3=8 items=0 ppid=6266 pid=6442 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=27 comm="prelink" exe="/bin/bash" subj=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 key=(null)
Comment 7 Daniel Walsh 2010-05-18 08:41:23 EDT
restorecon -R -v /var/lib/prelink

Should fix the label.

Note You need to log in before you can comment on or make changes to this bug.